### Hierarchy

- Checkpoint

## Index

### Constructors

- constructor

### Properties

- handle
- icon
- position
- radius
- targetPosition

### Accessors

- Icon
- Position
- Radius
- TargetPosition

## Constructors

### constructor

- new Checkpoint(handle: number): Checkpoint

- - Defined in Checkpoint.ts:11

  #### Parameters

  - ##### handle: number

  #### Returns Checkpoint

## Properties

### Private handle

handle: number

- Defined in Checkpoint.ts:5

### Private icon

icon: CheckpointIcon = ...

- Defined in Checkpoint.ts:8

### Private position

position: Vector3 = ...

- Defined in Checkpoint.ts:6

### Private radius

radius: number = 0

- Defined in Checkpoint.ts:9

### Private targetPosition

targetPosition: Vector3 = ...

- Defined in Checkpoint.ts:7

## Accessors

### Icon

- get Icon(): CheckpointIcon
- set Icon(icon: CheckpointIcon): void

- - Defined in Checkpoint.ts:31

  #### Returns CheckpointIcon

- - Defined in Checkpoint.ts:35

  #### Parameters

  - ##### icon: CheckpointIcon

  #### Returns void

### Position

- get Position(): Vector3
- set Position(position: Vector3): void

- - Defined in Checkpoint.ts:15

  #### Returns Vector3

- - Defined in Checkpoint.ts:19

  #### Parameters

  - ##### position: Vector3

  #### Returns void

### Radius

- get Radius(): number
- set Radius(radius: number): void

- - Defined in Checkpoint.ts:48

  #### Returns number

- - Defined in Checkpoint.ts:52

  #### Parameters

  - ##### radius: number

  #### Returns void

### TargetPosition

- get TargetPosition(): Vector3
- set TargetPosition(targetPosition: Vector3): void

- - Defined in Checkpoint.ts:23

  #### Returns Vector3

- - Defined in Checkpoint.ts:27

  #### Parameters

  - ##### targetPosition: Vector3

  #### Returns void

Generated using TypeDoc